// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*UserDeleteDefault An unexpected error response

swagger:response userDeleteDefault
*/
type UserDeleteDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserDeleteDefault creates UserDeleteDefault with default headers values
func NewUserDeleteDefault(code int) *UserDeleteDefault {
	if code <= 0 {
		code = 500
	}

	return &UserDeleteDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user delete default response
func (o *UserDeleteDefault) WithStatusCode(code int) *UserDeleteDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user delete default response
func (o *UserDeleteDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user delete default response
func (o *UserDeleteDefault) WithPayload(payload *models.Error) *UserDeleteDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user delete default response
func (o *UserDeleteDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserDeleteDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
